## Create Webhook Destination

### cURL

```bash
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "url": "<string>",
  "credentials": {
    "type": "M3TER_SIGNED_REQUEST",
    "apiKey": "api key",
    "secret": "api secret",
    "version": 123,
    "empty": true,
    "name": "Integration Credentials"
  },
  "version": 123,
  "code": "<string>",
  "active": true
}
'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks"

payload = {
    "name": "<string>",
    "description": "<string>",
    "url": "<string>",
    "credentials": {
        "type": "M3TER_SIGNED_REQUEST",
        "apiKey": "api key",
        "secret": "api secret",
        "version": 123,
        "empty": True,
        "name": "Integration Credentials"
    },
    "version": 123,
    "code": "<string>",
    "active": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    description: '<string>',
    url: '<string>',
    credentials: {
      type: 'M3TER_SIGNED_REQUEST',
      apiKey: 'api key',
      secret: 'api secret',
      version: 123,
      empty: true,
      name: 'Integration Credentials'
    },
    version: 123,
    code: '<string>',
    active: true
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### HTTP Response Codes
200

4XX

5XX

### Sample Response
```json
{
  "id": "<string>",
  "version": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "name": "<string>",
  "description": "<string>",
  "code": "<string>",
  "active": true,
  "url": "<string>",
  "credentials": {
    "id": "<string>",
    "type": "<string>",
    "destination": "<string>",
    "version": 123,
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>",
    "destinationId": "<string>",
    "name": "<string>",
    "apiKey": "api key",
    "secret": "api secret"
  }
}
```

### Error Response Example
```json
{
  "message": "<string>"
}
```

### Authorization
- `Authorization`: required, string (header)

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters
- `orgId`: required, string (UUID of the organization)

### Body Parameters
- `name`: required, string (minimum length 1)
- `description`: required, string (minimum length 1)
- `url`: required, string (minimum length 1)
- `credentials`: required, object containing API keys
- `version`: integer (not valid for initial insertion of new entities)
- `code`: string
- `active`: boolean

### Response Properties
- `id`: required, string (UUID of the entity)
- `version`: integer
- `dtCreated`: string (date-time in ISO-8601)
- `createdBy`: string (user ID that created the item)
- `name`: string
- `description`: string
- `code`: string
- `active`: boolean
- `url`: string (webhook URL)
- `credentials`: object containing credential details.
